{% extends 'base.html' %} {% block content %}
<div class="container">
{% for message in get_flashed_messages() %}
	
	<div class="alert alert-success alert-dismissible fade show" role="alert">
	  {{ message }}
	  <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
	</div>
{% endfor %}
</div>
<section class="h-100 gradient-custom-2">
  <div class="container py-5 h-100">
      <div class="col col-lg-9 col-xl-7">
        <div class="card-profile">
          <div class="rounded-top text-white d-flex flex-row" style="background-image: url({{url_for('static', filename="/img/cowell.png")}})">
            <div class="ms-5 mt-6 d-flex flex-column" style="width: 120px; height: 120px;">
            {% if avatar%}
              <input type="image" src="{{avatar}}" alt="Generic placeholder image" class="img-fluid img-thumbnail mt-4 mb-2" style="width: 150px; z-index: 1">
            {% else %}
              <input type="image" src="{{url_for('static',filename="/img/user.png")}}" alt="Generic placeholder image" class="img-fluid img-thumbnail mt-4 mb-2" style="width: 150px; z-index: 1">
            {% endif %}
              <input type="file" id="my_file" style="display: none;" name="file" accept="image/png, image/gif, image/jpeg"/>
              <div class="middle">
                <div class="middle-button">Change avatar</div>
              </div>
            </div>
            <div class="ms-3" style="margin-top: 130px;">
              <h5 style="color: black;">{{ profile.fullname }}</h5>
              <p class="text-secondary" style="color: black;">{{ email }}</p>
            </div>
          </div>
          <div class="card-body p-4 text-black">
            <div class="card text-dark">
                <div class="mt-5 text-center">
                    <div class="d-flex justify-content-between align-items-center mt-4 px-4">
                        <div class="stats">
                            <h6 class="mb-0"><center>Overall rate</center></h6> <span><center>{{overallRatingAvg}}</center></span>
                        </div>
                        <div class="stats">
                            <h6 class="mb-0"><center>Total posted posts</center></h6> <span><center>{{totalPost}}</center></span>
                        </div>
                        <div class="stats">
                            <h6 class="mb-0"><center>Total received rates</center></h6> <span><center>{{rateCount}}</center></span>
                        </div>
                        <div class="stats">
                            <h6 class="mb-0"><center>Total received stars</center></h6> <span><center>{{starCount}}</center></span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="table-responsive">
              <table class="table table-striped table-sm" data-toggle="table" data-sort-name="date" data-sort-order="desc">
                <thead>
                  <tr>
                    <th scope="col"><center>TechTalks</center></th>
                    <th scope="col" data-sortable="true" data-field="date"><center>Talk Date</center></th>
                    <th scope="col" data-sortable="true"><center>Rates Received</center></th>
                    <th scope="col" data-sortable="true"><center>Average Rate</center></th>
                  </tr>
                </thead>
                <tbody>
                {% for post in posts %}
                    <tr>
                      <td><a href="/detail/{{post['id']}}" class="link-post">{{post['title']}}</a></td>
                      <td><center>{{post['talkdate']}}</center></td>
                      <td><center>{{post['rate_count']}}</center></td>
                      <td><center>{{post['avg_rate']}}</center></td>
                    </tr> 
                {% endfor %}
                </tbody>
              </table>
            </div>
          </div>
          </div>
        </div>
      </div>
  </div>
</section>
{% endblock %}
